summaryrefslogtreecommitdiffstats
path: root/source/l/libmng/libmng.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/libmng/libmng.SlackBuild')
-rwxr-xr-xsource/l/libmng/libmng.SlackBuild16
1 files changed, 7 insertions, 9 deletions
diff --git a/source/l/libmng/libmng.SlackBuild b/source/l/libmng/libmng.SlackBuild
index a40b0cf15..61fc3db03 100755
--- a/source/l/libmng/libmng.SlackBuild
+++ b/source/l/libmng/libmng.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2006, 2007, 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2007, 2008, 2009, 2010, 2015 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,13 +22,13 @@
PKGNAM=libmng
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
@@ -43,8 +43,8 @@ mkdir -p $TMP $PKG
NUMJOBS=${NUMJOBS:-" -j7 "}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
@@ -59,7 +59,7 @@ fi
cd $TMP
rm -rf ${PKGNAM}-${VERSION}
-tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/${PKGNAM}-$VERSION.tar.xz || exit 1
cd ${PKGNAM}-$VERSION
# Make sure ownerships and permissions are sane:
@@ -71,8 +71,6 @@ find . \
-exec chmod 644 {} \;
# Configure:
-cat unmaintained/autogen.sh | tr -d \\r > autogen.sh
-sh ./autogen.sh
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \